﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{0997A624-2B5E-455F-98BF-8A1A5BAFA00E}</ProjectGuid>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SecondMonitor.Timing.Application</RootNamespace>
    <AssemblyName>Timing.Application</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Deployment\Plugins\Timing.Application\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Deployment\Plugins\Timing.Application\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AutoUpdater.NET, Version=1.7.0.0, Culture=neutral, PublicKeyToken=501435c91b35f4bc">
      <HintPath>..\..\packages\Autoupdater.NET.Official.1.7.0\lib\net45\AutoUpdater.NET.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Castle.Core, Version=4.0.0.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc">
      <HintPath>..\..\packages\Castle.Core.4.2.0\lib\net45\Castle.Core.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="GongSolutions.WPF.DragDrop, Version=2.0.0.0, Culture=neutral, PublicKeyToken=91f1945125b7a587">
      <HintPath>..\..\packages\gong-wpf-dragdrop.2.3.2\lib\net47\GongSolutions.WPF.DragDrop.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.12.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Ninject, Version=3.3.4.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7">
      <HintPath>..\..\packages\Ninject.3.3.4\lib\net45\Ninject.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Ninject.Extensions.Factory, Version=3.3.3.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7">
      <HintPath>..\..\packages\Ninject.Extensions.Factory.3.3.3\lib\net45\Ninject.Extensions.Factory.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Ninject.Extensions.NamedScope, Version=3.3.0.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Ninject.Extensions.NamedScope.3.3.0\lib\net45\Ninject.Extensions.NamedScope.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c">
      <HintPath>..\..\packages\NLog.4.7.10\lib\net45\NLog.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Drawing.Design" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Windows.Interactivity, Version=4.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Expression.Blend.Sdk.1.0.2\lib\net45\System.Windows.Interactivity.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
    <Reference Include="WindowsFormsIntegration" />
    <Reference Include="Xceed.Wpf.AvalonDock, Version=3.5.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Extended.Wpf.Toolkit.3.5.0\lib\net40\Xceed.Wpf.AvalonDock.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.Aero, Version=3.5.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Extended.Wpf.Toolkit.3.5.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.Aero.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.Metro, Version=3.5.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Extended.Wpf.Toolkit.3.5.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.Metro.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.VS2010, Version=3.5.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Extended.Wpf.Toolkit.3.5.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.VS2010.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.Toolkit, Version=3.5.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Extended.Wpf.Toolkit.3.5.0\lib\net40\Xceed.Wpf.Toolkit.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BindingMetadataIds.cs" />
    <Compile Include="CarSettings\CarSettingsWindow.xaml.cs">
      <DependentUpon>CarSettingsWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="CarSettings\CarSettingsWindowViewModel.cs" />
    <Compile Include="Controllers\ForceSingleClassVisitor.cs" />
    <Compile Include="Controllers\ISessionEventsController.cs" />
    <Compile Include="Controllers\ISimSettingControllerFactory.cs" />
    <Compile Include="Controllers\MapManagementController.cs" />
    <Compile Include="Controllers\SessionEventsController.cs" />
    <Compile Include="Controllers\SettingsWindowController.cs" />
    <Compile Include="Controllers\SimSettingController.cs" />
    <Compile Include="Controllers\TimingApplicationController.cs" />
    <Compile Include="LapTimings\BestLapEventProvider.cs" />
    <Compile Include="LapTimings\DriverDetailsController.cs" />
    <Compile Include="LapTimings\ViewModel\DriverLapWindowCacheItem.cs" />
    <Compile Include="LapTimings\ViewModel\RatingViewModel.cs" />
    <Compile Include="Layout\TimingApplicationElementNamesProvider.cs" />
    <Compile Include="Layout\TimingApplicationDefaultLayoutFactory.cs" />
    <Compile Include="PitBoard\Controller\PitBoardController.cs" />
    <Compile Include="PitBoard\DataProviders\AbstractPitBoardDataProvider.cs" />
    <Compile Include="PitBoard\DataProviders\GapPitBoardProvider.cs" />
    <Compile Include="PitBoard\DataProviders\IAutonomousPitBoardDataProvider.cs" />
    <Compile Include="PitBoard\DataProviders\ClearToRejoinBoardProvider.cs" />
    <Compile Include="PitBoard\DataProviders\YellowAheadPitBoardProvider.cs" />
    <Compile Include="Presentation\Controls\TimingGridControl\TimingGrid.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\LapTimeDeltaViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\SectorRelativeViewModel.cs" />
    <Compile Include="TimingGrid\Columns\ClassVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\ColumnVisibilityAdapterFactory.cs" />
    <Compile Include="TimingGrid\Columns\IColumnVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\PitsVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\PointsVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\RatingVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\ReputationVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\Columns\TyreVisibilityAdapter.cs" />
    <Compile Include="TimingGrid\TimingDataGridViewModel.cs" />
    <Compile Include="ViewModel\Commands\ResetCommand.cs" />
    <Compile Include="LapTimings\ViewModel\DriverLapsViewModel.cs" />
    <Compile Include="LapTimings\ViewModel\LapViewModel.cs" />
    <Compile Include="ViewModel\SessionInfoViaTimingViewModelProvider.cs" />
    <Compile Include="ViewModel\SessionSummaryEventArgs.cs" />
    <Compile Include="ViewModel\SessionInfoViewModel.cs" />
    <Compile Include="ViewModel\SidebarViewModel.cs" />
    <Compile Include="ViewModel\TimingApplicationViewModel.cs" />
    <Compile Include="ViewModel\TimingDataViewModel.ResetModeEnum.cs" />
    <Compile Include="Presentation\View\DisplaySettingsWindow.xaml.cs">
      <DependentUpon>DisplaySettingsWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Presentation\View\DoubleToDatagridLenghtValueConverter.cs" />
    <Compile Include="Presentation\View\TimingGUI.xaml.cs">
      <DependentUpon>TimingGUI.xaml</DependentUpon>
    </Compile>
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\IPitStopInfoViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\PitWindowPitViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\NonPitWindowPitViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\PitInfoBriefDescriptionKind.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\PitStopCountGeneralizationKind.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\PitStopInfoViewModelFactory.cs" />
    <Compile Include="SessionTiming\SessionTimingFactory.cs" />
    <Compile Include="SessionTiming\ViewModel\DriverNotFoundException.cs" />
    <Compile Include="TimingApplicationModule.cs" />
    <Compile Include="ReportCreation\SessionTimingExtension.cs" />
    <Compile Include="ReportCreation\ViewModel\ReportsController.cs" />
    <Compile Include="SessionTiming\Drivers\DriverListModificationEventArgs.cs" />
    <Compile Include="SessionTiming\Drivers\ViewModel\LapDeltaViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\ViewModel\LapPortionTimesComparatorViewModel.cs" />
    <Compile Include="SessionTiming\Drivers\Presentation\ViewModel\DriverTimingViewModel.cs" />
    <Compile Include="PitBoard\ViewModels\PitBoardViewModel.cs" />
    <Compile Include="SessionTiming\ViewModel\SessionTimingController.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Telemetry\ISessionTelementryControllerFactory.cs" />
    <Compile Include="Telemetry\ISessionTelemetryController.cs" />
    <Compile Include="Telemetry\ISessionTelemetryControllerFactory.cs" />
    <Compile Include="Telemetry\SessionTelemetryController.cs" />
    <Compile Include="TrackRecords\Controller\ITrackRecordsController.cs" />
    <Compile Include="TrackRecords\Controller\ITrackRecordsRepositoryFactory.cs" />
    <Compile Include="TrackRecords\Controller\TrackRecordsRepository.cs" />
    <Compile Include="TrackRecords\Controller\TrackRecordsController.cs" />
    <Compile Include="TrackRecords\Controller\TrackRecordsRepositoryFactory.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Foundation\Contracts\Contracts.csproj">
      <Project>{55275247-8d2e-421f-ab35-4ba77449b05a}</Project>
      <Name>Contracts</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\DataModel\DataModel.csproj">
      <Project>{30dea773-f579-4a77-9c73-3d58c81612d0}</Project>
      <Name>DataModel</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\PluginManager\PluginManager.csproj">
      <Project>{e61dbd85-bc10-4abd-9c0b-22770399de70}</Project>
      <Name>PluginManager</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\PluginsConfiguration\PluginsConfiguration.Common.csproj">
      <Project>{a321d875-db5e-4ff2-8abd-5086e08d8eff}</Project>
      <Name>PluginsConfiguration.Common</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\SecondMonitor.ViewModels\SecondMonitor.ViewModels.csproj">
      <Project>{B43064B9-D120-4DD9-9902-E2B8F6006985}</Project>
      <Name>SecondMonitor.ViewModels</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\WindowsControls\WindowsControls.csproj">
      <Project>{EA13AF3C-A4E0-4AD2-94AE-78006B04FC41}</Project>
      <Name>WindowsControls</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Rating\Rating.Application\Rating.Application.csproj">
      <Project>{6AFA0291-BD43-461F-98FE-9EB66B4E7C86}</Project>
      <Name>Rating.Application</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Rating\Rating.Common\Rating.Common.csproj">
      <Project>{b6f16b0d-c649-42da-af92-6d7dca71b3b4}</Project>
      <Name>Rating.Common</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Rating\Rating.Presentation\Rating.Presentation.csproj">
      <Project>{79d11cc1-9e85-440b-9635-5c0638382ac9}</Project>
      <Name>Rating.Presentation</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Telemetry\TelemetryApplication\TelemetryApplication.csproj">
      <Project>{DE7B2CDD-2392-4769-8F2F-9D1072644B4F}</Project>
      <Name>TelemetryApplication</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Telemetry\TelemetryManagement\TelemetryManagement.csproj">
      <Project>{5271afe9-29a9-4f65-ab04-58f93c72ad03}</Project>
      <Name>TelemetryManagement</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Telemetry\TelemetryPresentation\TelemetryPresentation.csproj">
      <Project>{8312B7DA-965B-4272-A9BB-90CA46DB2CB3}</Project>
      <Name>TelemetryPresentation</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Applications\SimdataManagement\SimdataManagement.csproj">
      <Project>{8971F71E-CF2E-40F8-B881-3F45EB8ECC9B}</Project>
      <Name>SimdataManagement</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Applications\XslxExport\XslxExport.csproj">
      <Project>{7A5D6D7A-39B3-43E9-B0CF-EFCEC6578224}</Project>
      <Name>XslxExport</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\Timing.Common\Timing.Common.csproj">
      <Project>{dd813fca-f8a0-44d5-af01-e55444bc88bd}</Project>
      <Name>Timing.Common</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Page Include="CarSettings\CarSettingsResources.xaml" />
    <Page Include="CarSettings\CarSettingsWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Presentation\LapTimings\DriverLaps.xaml" />
    <Page Include="Presentation\TimingApplicationTemplates.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\Controls\TimingGridControl\TimingGrid.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\View\CombinedLapPortionComparatorsView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\View\DisplaySettingsWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Presentation\View\SessionInfoTemplate.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\View\SidebarView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\View\TimingGridView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Presentation\View\TimingGUI.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Core.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Workspaces.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Core.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>